.tooltip {
  user-select: none;
  background: white;
  border-radius: 2px;
  box-shadow: 0 0.25em 1em rgba(0, 0, 0, 0.5);
  color: black;
  left: 0%;
  margin-top: 0.25em;
  max-width: 50vw;
  opacity: 0;
  padding: 0.5em 0.75em;
  pointer-events: none;
  position: absolute;
  top: 100%;
  transition: 0.2s ease opacity 0s, 0.2s ease transform 0s;
  z-index: 1000;
  transform: translateY(0.5em) scale(0.9);
  font-size: 100%;
  text-overflow: ellipsis;
  overflow: hidden;
  text-align: left;
  white-space: nowrap;
}

*:hover > .tooltip {
  opacity: 1;
  transform: translateY(0.001px) scale(0.999);
  transition: 0.2s ease opacity 0.7s, 0.2s ease transform 0.7s;
}
